public static List <CogoPointLabel> GetCogoPointLabels(Autodesk.AutoCAD.DynamoNodes.Document document)
        {
            List <CogoPointLabel> retLabels = new List <CogoPointLabel>();

            foreach (DBObject dbObj in GetLabelStylesAsDBObjects(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.PointLabelStyles.LabelStyles))
            {
                CogoPointLabel labelObject = new CogoPointLabel(dbObj, false);
                retLabels.Add(labelObject);
            }
            return(retLabels);
        }
        public static CogoPointLabel ByName(Autodesk.AutoCAD.DynamoNodes.Document document, string labelStyleName)
        {
            CogoPointLabel retLabel = new CogoPointLabel(DBObjectByName(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.PointLabelStyles.LabelStyles, labelStyleName), false);

            return(retLabel);
        }
        public static CogoPointLabel ByIndex(Autodesk.AutoCAD.DynamoNodes.Document document, int index)
        {
            CogoPointLabel retLabel = new CogoPointLabel(DBObjectByIndex(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.PointLabelStyles.LabelStyles, index), false);

            return(retLabel);
        }